# Interface ReadArchivist<TReadResponse, TId>

#### Type Parameters

- #### TReadResponse

- #### TId = string

#### Hierarchy

- ReadArchivist
  - Archivist

- Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:8

#####
Index

### Methods

all?
get

## Methods

### `Optional` all

- all(): PromisableArray<TReadResponse, never>

- #### Returns PromisableArray<TReadResponse, never>

  - Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:9

### get

- get(ids): NullablePromisableArray<TReadResponse, never>

- #### Parameters

  - ##### ids: TId[]

  #### Returns NullablePromisableArray<TReadResponse, never>

  - Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:10

Generated using TypeDoc